Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOpenGLPolyDataMapper Class Reference

`#include <vtkOpenGLPolyDataMapper.h>`

Inheritance diagram for vtkOpenGLPolyDataMapper:

[legend]
Collaboration diagram for vtkOpenGLPolyDataMapper:

[legend]
List of all members.

## Detailed Description

a PolyDataMapper for the OpenGL library

Date:
  2002/08/22 18:39:31

Revision:
  1.31

vtkOpenGLPolyDataMapper is a subclass of vtkPolyDataMapper. vtkOpenGLPolyDataMapper is a geometric PolyDataMapper for the OpenGL rendering library.

Events:
  vtkCommand::StartEvent vtkCommand::EndEvent

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Martin, Ken (36%)
  - Schroeder, Will (27%)
  - Lorensen, Bill (13%)
  - Geveci, Berk (6%)
  - Henderson, Amy (5%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkOpenGLPolyDataMapper.h)`
  - .`cxx` (`/Rendering/vtkOpenGLPolyDataMapper.cxx)`

Definition at line 53 of file vtkOpenGLPolyDataMapper.h.

## Public Types
typedef vtkPolyDataMapper | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | RenderPiece (vtkRenderer *ren, vtkActor *a)
void | ReleaseGraphicsResources (vtkWindow *)
virtual int | Draw (vtkRenderer *ren, vtkActor *a)
## Static Public Methods
vtkOpenGLPolyDataMapper * | New ()
int | IsTypeOf (const char *type)
vtkOpenGLPolyDataMapper * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkOpenGLPolyDataMapper ()
| ~vtkOpenGLPolyDataMapper ()
## Protected Attributes
int | ListId

## Member Typedef Documentation

typedef vtkPolyDataMapper vtkOpenGLPolyDataMapper::Superclass

| Reimplemented from vtkPolyDataMapper. Definition at line 57 of file vtkOpenGLPolyDataMapper.h.

## Constructor & Destructor Documentation

vtkOpenGLPolyDataMapper::vtkOpenGLPolyDataMapper | ( |  | ) | `[protected]`

vtkOpenGLPolyDataMapper::~vtkOpenGLPolyDataMapper | ( |  | ) | `[protected]`

## Member Function Documentation

vtkOpenGLPolyDataMapper* vtkOpenGLPolyDataMapper::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkPolyDataMapper.

virtual const char* vtkOpenGLPolyDataMapper::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataMapper.

int vtkOpenGLPolyDataMapper::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataMapper.

virtual int vtkOpenGLPolyDataMapper::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataMapper.

vtkOpenGLPolyDataMapper* vtkOpenGLPolyDataMapper::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataMapper.

virtual void vtkOpenGLPolyDataMapper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataMapper.

virtual void vtkOpenGLPolyDataMapper::RenderPiece | ( | vtkRenderer * | ren,
|  | vtkActor * | a
| ) | `[virtual]`

| Implement superclass render method. Implements vtkPolyDataMapper.

void vtkOpenGLPolyDataMapper::ReleaseGraphicsResources | ( | vtkWindow * |  | ) | `[virtual]`

| Release any graphics resources that are being consumed by this mapper. The parameter window could be used to determine which graphic resources to release. Reimplemented from vtkMapper.

virtual int vtkOpenGLPolyDataMapper::Draw | ( | vtkRenderer * | ren,
|  | vtkActor * | a
| ) | `[virtual]`

| Draw method for OpenGL.

## Member Data Documentation

int vtkOpenGLPolyDataMapper::ListId`[protected]`

| Definition at line 75 of file vtkOpenGLPolyDataMapper.h.

The documentation for this class was generated from the following file:

- Rendering/vtkOpenGLPolyDataMapper.h